Amazon Linux AMI : systemtap Privilege Escalation (ALAS-2012-54)

This script is Copyright (C) 2013-2014 Tenable Network Security, Inc.


Synopsis :

The remote Amazon Linux AMI host is missing a security update.

Description :

An invalid pointer read flaw was found in the way SystemTap handled
malformed debugging information in DWARF format. When SystemTap
unprivileged mode was enabled, an unprivileged user in the stapusr
group could use this flaw to crash the system or, potentially, read
arbitrary kernel memory. Additionally, a privileged user (root, or a
member of the stapdev group) could trigger this flaw when tricked into
instrumenting a specially-crafted ELF binary, even when unprivileged
mode was not enabled.

See also :

http://www.nessus.org/u?371ecfab

Solution :

Run 'yum update systemtap' to update your system.

Risk factor :

Medium / CVSS Base Score : 5.4
(CVSS2#AV:L/AC:M/Au:N/C:P/I:N/A:C)

Family: Amazon Linux Local Security Checks

Nessus Plugin ID: 69661 ()

Bugtraq ID:

CVE ID: CVE-2012-0875